Class Specialization
IndexWotd
An index based on a lazy suffix tree (see Giegerich et al., "Efficient implementation of lazy suffix trees").

Index

IndexWotd

IndexDfi

Index<TText, IndexWotd<> >
Include Headers
seqan/index.h
Parameters

TText | The text type. Types: String

Remarks
The fibres (see Index and Fibre) of this index are a partially sorted suffix array (see WotdSA) and the wotd tree (see WotdDir).
Specialization of
Index
Specializations

IndexDfi | The Deferred Frequency Index (see Weese and Schulz, "Efficient string mining under constraints via the deferred frequency index").

Metafunctions

Fibre | Type of a specific index member (fibre). (Index)
SAValue | The default alphabet type of a suffix array, i.e. the type to store a position of a string or string set. (Index)
VertexDescriptor | Type of an object that represents a vertex descriptor.

Functions

begin | The begin of a container. (Index)
clear | Resets an object. (Index)
end | The end of a container. (Index)
getFibre | Returns a specific Fibre of an Index object. (Index)
indexCreate | Creates a specific Fibre. (Index)
indexRequire | On-demand creation of a specific Fibre. (Index)
indexSupplied | Returns whether a specific Fibre is present. (Index)
length | The number of items/characters. (Index)
setHaystack | Sets the haystack of a Finder object. (Index)

Example Programs
Maximal Repeats, Constraint Iterator, Index Finder StringSet, Mummy, Maximal Unique Matches, Index Finder, Supermaximal Repeats
See Also
WOTD Index Fibres
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51